Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.owlapi
Class PelletLoader

    java.lang.Object
      org.mindswap.pellet.owlapi.PelletLoader

    public class PelletLoader

extends java.lang.Object

Title:

Description:

Copyright: Copyright (c) 2007

Company: Clark & Parsia, LLC.

Author:
  Evren Sirin

Field Summary
`static org.apache.commons.logging.Log` | `log`

Constructor Summary
`PelletLoader(KnowledgeBase kb)`

Method Summary
`boolean` | `applyChanges(java.util.List<? extends org.semanticweb.owl.model.OWLOntologyChange> changes)` Apply the given changes to the Pellet KB.
`void` | `clear()`
`KnowledgeBase` | `getKB()`
`org.semanticweb.owl.model.OWLOntologyManager` | `getManager()`
`java.util.Set<org.semanticweb.owl.model.OWLOntology>` | `getOntologies()`
`boolean` | `getProcessImports()`
`void` | `load(java.util.Set<org.semanticweb.owl.model.OWLOntology> ontologies)`
`boolean` | `loadImports()` Deprecated. Use `getProcessImports()` instead
`void` | `reload()`
`void` | `setKB(KnowledgeBase kb)`
`void` | `setLoadImports(boolean loadImports)` Deprecated. Use `setProcessImports(boolean)` instead
`void` | `setManager(org.semanticweb.owl.model.OWLOntologyManager manager)`
`void` | `setProcessImports(boolean processImports)`
`aterm.ATermAppl` | `term(org.semanticweb.owl.model.OWLObject d)`
`void` | `unload(java.util.Set<org.semanticweb.owl.model.OWLOntology> ontologies)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static org.apache.commons.logging.Log log

Constructor Detail

### PelletLoader

    public PelletLoader(KnowledgeBase kb)

Method Detail

### loadImports

    public boolean loadImports()

  Deprecated. Use `getProcessImports()` instead

### setLoadImports

    public void setLoadImports(boolean loadImports)

  Deprecated. Use `setProcessImports(boolean)` instead

### getProcessImports

    public boolean getProcessImports()

### setProcessImports

    public void setProcessImports(boolean processImports)

### clear

    public void clear()

### getKB

    public KnowledgeBase getKB()

### setKB

    public void setKB(KnowledgeBase kb)

### term

    public aterm.ATermAppl term(org.semanticweb.owl.model.OWLObject d)

### reload

    public void reload()

### load

    public void load(java.util.Set<org.semanticweb.owl.model.OWLOntology> ontologies)

### unload

    public void unload(java.util.Set<org.semanticweb.owl.model.OWLOntology> ontologies)

### getOntologies

    public java.util.Set<org.semanticweb.owl.model.OWLOntology> getOntologies()

  Returns:
    Returns the loaded ontologies.

### getManager

    public org.semanticweb.owl.model.OWLOntologyManager getManager()

### setManager

    public void setManager(org.semanticweb.owl.model.OWLOntologyManager manager)

### applyChanges

    public boolean applyChanges(java.util.List<? extends org.semanticweb.owl.model.OWLOntologyChange> changes)

  Apply the given changes to the Pellet KB.

  Parameters:
    `changes` - List of ontology changes to be applied
  Returns:
    `true` if changes applied successfully, `false` otherwise indicating a reload is required
  Throws:
    `org.semanticweb.owl.model.OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.